# Function findCompilationAndContract

- findCompilationAndContract(compilations, artifact): CompilationAndContract

- Given a list of compilations, and an artifact appearing in one of those compilations, finds the compilation and the corresponding contract object (these may be undefined if they can't be found)

  #### Parameters

  - ##### compilations: Compilation[]

  - ##### artifact: ContractObject

  #### Returns CompilationAndContract

  - Defined in codec/lib/compilations/utils.ts:596

Generated using TypeDoc